/* ===================== */
/* Dropzone */
form.dropzone {
    border-style: dashed;
}

/* ===================== */
/* Logo */
.logo-box {
    text-align: right; /* يمين، غيّرها left أو center حسب الحاجة */
}

.logo-box img {
    max-width: 180px;   /* عرض الشعار */
    max-height: 80px;   /* ارتفاع الشعار */
    object-fit: contain;
    display: block;
}

/* ===================== */
/* Gallery */
.gallery-box {
    position: relative;
    width: 100%;
    height: 110px;
    margin-bottom: 30px;
}

.gallery-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* الطبقة فوق الصور */
.gallery-box .over-layer {
    background: rgba(164, 108, 108, 0.9); /* #a46c6c */
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: all 0.40s linear;
}

/* الروابط/الأزرار فوق الصورة */
.gallery-box .links {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    margin: 0;
    padding: 0;
    text-align: center;
}

.gallery-box .links li {
    display: inline-block;
    list-style: none;
    margin-right: 5px;
}

.gallery-box .over-layer .links li button,
.gallery-box .over-layer .links li a {
    width: 35px;
    height: 35px;
    line-height: 35px;
    border-radius: 50%;
    color: #a46c6c;           /* لون النص */
    border: 2px solid #a46c6c; /* البوردر نفس اللون */
    background: #fff;          /* خلفية افتراضية */
    transition: all 0.40s linear;
}

/* عند الـ Hover */
.gallery-box .links li a:hover,
.gallery-box .links li button:hover {
    text-decoration: none;
    background: #a46c6c; /* اللون العميل */
    color: #fff;         /* النص أبيض */
    border-color: #a46c6c;
}

/* إظهار عند المرور */
.gallery-box:hover .over-layer,
.gallery-box:hover .links li a {
    opacity: 1;
}

/* أيقونات */
.gallery-box .links li .fa-search {
    transform: translateX(-70px) rotate(-350deg);
    transition: all 0.20s linear;
}

.gallery-box .links li .fa-link {
    transform: translateX(70px) rotate(-350deg);
    transition: all 0.20s linear;
}

.gallery-box:hover .links li .fa-search,
.gallery-box:hover .links li .fa-link {
    transform: translateY(0px) rotate(0deg);
}
